com.example.instilostandfound

## Class LocationFragment

- java.lang.Object
- - androidx.fragment.app.Fragment
  - - com.example.instilostandfound.LocationFragment

All Implemented Interfaces:
  android.content.ComponentCallbacks, android.view.View.OnClickListener, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.LifecycleOwner, androidx.lifecycle.ViewModelStoreOwner, androidx.savedstate.SavedStateRegistryOwner, com.google.android.gms.maps.GoogleMap.OnMarkerClickListener, com.google.android.gms.maps.GoogleMap.OnMarkerDragListener, com.google.android.gms.maps.OnMapReadyCallback

    public class LocationFragment
    extends androidx.fragment.app.Fragment
    implements com.google.android.gms.maps.OnMapReadyCallback, com.google.android.gms.maps.GoogleMap.OnMarkerDragListener, com.google.android.gms.maps.GoogleMap.OnMarkerClickListener, android.view.View.OnClickListener

A simple `Fragment` subclass. Fragment to select location of found item from a google map

### Nested Class Summary

### Nested classes/interfaces inherited from class androidx.fragment.app.Fragment

`androidx.fragment.app.Fragment.InstantiationException, androidx.fragment.app.Fragment.SavedState`

### Field Summary

Fields
`android.view.View` `mView`
`com.google.android.gms.maps.model.Marker` `my_marker`

### Constructor Summary

Constructors
Constructor and Description
`LocationFragment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View view)` Define what should happen once Select Button is clicked
`android.view.View` `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Defines the layout of fragment
`void` `onMapReady(com.google.android.gms.maps.GoogleMap googleMap)` Populates all the necessary current info which the map should contain.
`boolean` `onMarkerClick(com.google.android.gms.maps.model.Marker marker)` Defines what happens when marker is clicked
`void` `onMarkerDrag(com.google.android.gms.maps.model.Marker marker)`
`void` `onMarkerDragEnd(com.google.android.gms.maps.model.Marker marker)` Method to define what happens when marker is dragged accross the map
`void` `onMarkerDragStart(com.google.android.gms.maps.model.Marker marker)`
`void` `onViewCreated(android.view.View view, android.os.Bundle savedInstanceState)`

### Methods inherited from class androidx.fragment.app.Fragment

`dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSavedStateRegistry, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewLifecycleOwner, getViewLifecycleOwnerLiveData, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onPrimaryNavigationFragmentChanged, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onViewStateRestored, postponeEnterTransition, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireArguments, requireContext, requireFragmentManager, requireHost, requireParentFragment, requireView, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mView

    public android.view.View mView

#### my_marker

    public com.google.android.gms.maps.model.Marker my_marker

### Constructor Detail

#### LocationFragment

    public LocationFragment()

### Method Detail

#### onCreateView

    public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                          android.view.ViewGroup container,
                                          android.os.Bundle savedInstanceState)

Defines the layout of fragment

Overrides:
  `onCreateView` in class `androidx.fragment.app.Fragment`
Parameters:
  `inflater` -
  `container` -
  `savedInstanceState` -
Returns:
  mview

#### onViewCreated

    public void onViewCreated(android.view.View view,
                              android.os.Bundle savedInstanceState)

Overrides:
  `onViewCreated` in class `androidx.fragment.app.Fragment`
Parameters:
  `view` -
  `savedInstanceState` -

#### onMapReady

    public void onMapReady(com.google.android.gms.maps.GoogleMap googleMap)

Populates all the necessary current info which the map should contain. Adds marker and sets latitute and longitude of marker

Specified by:
  `onMapReady` in interface `com.google.android.gms.maps.OnMapReadyCallback`
Parameters:
  `googleMap` -

#### onClick

    public void onClick(android.view.View view)

Define what should happen once Select Button is clicked

Specified by:
  `onClick` in interface `android.view.View.OnClickListener`
Parameters:
  `view` -

#### onMarkerClick

    public boolean onMarkerClick(com.google.android.gms.maps.model.Marker marker)

Defines what happens when marker is clicked

Specified by:
  `onMarkerClick` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerClickListener`
Parameters:
  `marker` -
Returns:

#### onMarkerDragStart

    public void onMarkerDragStart(com.google.android.gms.maps.model.Marker marker)

Specified by:
  `onMarkerDragStart` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`

#### onMarkerDrag

    public void onMarkerDrag(com.google.android.gms.maps.model.Marker marker)

Specified by:
  `onMarkerDrag` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`

#### onMarkerDragEnd

    public void onMarkerDragEnd(com.google.android.gms.maps.model.Marker marker)

Method to define what happens when marker is dragged accross the map

Specified by:
  `onMarkerDragEnd` in interface `com.google.android.gms.maps.GoogleMap.OnMarkerDragListener`
Parameters:
  `marker` -